SSMS: 2016 error version is too old

25 Jan

Background:

This error is one of many that I have seen which deals with older versions of Management Studio connecting to newer database engines ( > 2014 and Azure)

Setting up distribution agent for replication you may get the error:

Error configuring distribution- “Publishing and distribution are supported only in SQL Server version 7.0 or later”

 

Setup and Code:

This error occurs when you connect to a newer version of Sql Server with an older Client version.

This occurs frequently as they update the Azure environment, if you successfully ran a script last week in Azure and you get a message now that says “ the command is not supported in this version of SQL Server” try this resolution as well. ( this assumes database compatibility has not changed )

 

 Resolution:

Most likely you are connected to the instance with an older version of Management Studio.

Try updating to the latest Management Studio version. ( See below for download link)

 

Information on Terms:

  1. SSMS – SQL Server Management Studio Client

 

Subject Links:

https://docs.microsoft.com/en-us/sql/ssms/download-sql-server-management-studio-ssms/

Leave a Reply

Your email address will not be published. Required fields are marked *